xine-lib: demux_class_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
demux_class_s Struct Reference

`#include <demux.h>`

## Data Fields
demux_plugin_t *(* | open_plugin )(demux_class_t *this_gen, xine_stream_t *stream, input_plugin_t *input)
const char * | identifier
| short human readable identifier for this plugin class
const char * | description
| human readable (verbose = 1 line) description for this plugin class
const char * | text_domain
| Optional non-standard catalog to use with dgettext() for description.
const char * | mimetypes
| MIME types supported for this plugin.
const char * | extensions
| space separated list of file extensions this demuxer is likely to handle
void(* | dispose )(demux_class_t *this_gen)

## Field Documentation

## ◆ description

const char* demux_class_s::description

human readable (verbose = 1 line) description for this plugin class

The description is passed to gettext() to internationalise.

Referenced by open_internal().

## ◆ dispose

void(* demux_class_s::dispose) (demux_class_t *this_gen)

## ◆ extensions

const char* demux_class_s::extensions

space separated list of file extensions this demuxer is likely to handle

(will be used to filter media files in file selection dialogs)

Referenced by _get_demux_strings().

## ◆ identifier

const char* demux_class_s::identifier

short human readable identifier for this plugin class

Referenced by open_internal().

## ◆ mimetypes

const char* demux_class_s::mimetypes

MIME types supported for this plugin.

Referenced by _get_demux_strings().

## ◆ open_plugin

demux_plugin_t *(* demux_class_s::open_plugin) (demux_class_t *this_gen, xine_stream_t *stream, input_plugin_t *input)

Referenced by demux_aac_init_plugin(), demux_ac3_init_plugin(), demux_aiff_init_plugin(), demux_aud_init_plugin(), demux_cdda_init_plugin(), demux_dts_init_plugin(), demux_eawve_init_plugin(), demux_elem_init_class(), demux_film_init_plugin(), demux_flac_init_class(), demux_flac_init_plugin(), demux_flv_init_class(), demux_fourxm_init_plugin(), demux_idcin_init_plugin(), demux_iff_init_class(), demux_ipmovie_init_plugin(), demux_ivf_init_class(), demux_matroska_init_class(), demux_mod_init_plugin(), demux_mpc_init_plugin(), demux_mpeg_block_init_class(), demux_mpeg_init_class(), demux_mpgaudio_init_class(), demux_nsf_init_plugin(), demux_nsv_init_plugin(), demux_pes_init_class(), demux_qt_init_class(), demux_rawdv_init_class(), demux_real_init_class(), demux_realaudio_init_plugin(), demux_roq_init_plugin(), demux_shn_init_plugin(), demux_smjpeg_init_plugin(), demux_snd_init_plugin(), demux_str_init_plugin(), demux_ts_init_class(), demux_tta_init_plugin(), demux_vc1es_init_class(), demux_vmd_init_plugin(), demux_voc_init_plugin(), demux_vox_init_plugin(), demux_vqa_init_plugin(), demux_wav_init_plugin(), demux_wc3movie_init_plugin(), demux_wv_init_plugin(), demux_yuv4mpeg2_init_class(), demux_yuv_frames_init_class(), init_avformat_demux_plugin(), init_class(), init_class(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), init_plugin(), and init_sputext_demux_class().

## ◆ text_domain

const char* demux_class_s::text_domain

Optional non-standard catalog to use with dgettext() for description.

Referenced by open_internal().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/demux.h